## libvmod-re2 2.0.0

=== debian/changelog ===
libvmod-re2 (2.0.0-7) unstable; urgency=medium

  * Try to build the package only on 64 bit architectures, since it does
    not support 32 bit architectures. (Closes: #1013871)

 -- Marco d'Itri <md@linux.it>  Tue, 18 Mar 2025 23:19:08 +0100

libvmod-re2 (2.0.0-6) unstable; urgency=medium

  * Make configure ignore the varnish version. (Closes: #1088202)

 -- Marco d'Itri <md@linux.it>  Sat, 30 Nov 2024 01:56:27 +0100

libvmod-re2 (2.0.0-5) unstable; urgency=low

  * Use new dh_varnishabi added in libvarnishapi-dev (>= 7.6.0-2~).
  * Refresh patches.
  * Increase minimum Varnish version to 7.6.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 25 Oct 2024 19:49:46 +0000

libvmod-re2 (2.0.0-4) unstable; urgency=low

  * Increase minimum Varnish version to 7.5.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jul 2024 09:37:44 +0000

libvmod-re2 (2.0.0-3) unstable; urgency=low

  * Update patch to raise maximum varnish version to 7.5.0.
  * Add patch to increase C++ standard to c++14 as required by libasl (Closes:
    #1070649).
  * Add patch to use VXID_TAG macro to access vxid.
  * Add upstream patch to fix an off-by-one error in set.matched().
  * Disable faulty test.
  * Update year in d/copyright.
  * Change pkg-config to pkgconf in d/control.
  * Bump Standards-Version to 4.7.0.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Jul 2024 22:06:23 +0000

libvmod-re2 (2.0.0-2) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Add patches from upstream for Varnish 7.1 compatibility (Closes:
    #1013888).
  * Remove dh_auto_test override because libnss-wrapper is not needed.
  * Fix expected output for varnishadm vcl.load in autopkgtests.
  * Bump dependency on varnish to (>= 7.1~).
  * Bump Standards-Version to 4.6.1.0.
  * Add patch to fix upstream documentation.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Oct 2022 14:36:29 +0000

libvmod-re2 (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #1001416).

 -- Michael Fladischer <fladi@debian.org>  Thu, 30 Dec 2021 14:46:16 +0000
