=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildtools.mk

D := $(CURDIR)/debian/varnish-re2

export VARNISHAPI_DATAROOTDIR = $(shell $(PKG_CONFIG) varnishapi --variable=datarootdir)

%:
	dh $@ --with varnishabi

execute_after_dh_auto_install:
	# Empty dependency_libs field in .la files (c.f. Policy 10.2).
	sed -i "/^dependency_libs=/s/'.*'/''/" `find $D -name '*.la'`
	rm -r $D/usr/share/doc/vmod-re2/
