## libvmod-re2 2.0.0%2B20250617

=== debian/changelog ===
libvmod-re2 (2.0.0+20250617-2build1) questing; urgency=medium

  * Rebuild against new varnish 7.7.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Sep 2025 08:00:48 +0200

libvmod-re2 (2.0.0+20250617-2) unstable; urgency=medium

  * Rebuild for unstable.

 -- Marco d'Itri <md@linux.it>  Thu, 14 Aug 2025 01:43:14 +0200

libvmod-re2 (2.0.0+20250617-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 22 Jun 2025 01:14:01 +0200
