## libvmod-re2 2.0.0+20250617

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Varnish Package Maintainers <team+varnish-team@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
+ Marco d'Itri <md@linux.it>,
 Section: web
 Priority: optional
 Build-Depends:
