=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,13 @@
 %:
 	dh $@ --with varnishabi
 
+execute_after_dh_auto_clean:
+	rm -f src/vmod_vcs_version.txt
+
+execute_before_dh_auto_build:
+	# git rev-parse heads/upstream > debian/vmod_vcs_version.txt
+	ln -s ../debian/vmod_vcs_version.txt src/vmod_vcs_version.txt
+
 execute_after_dh_auto_install:
 	# Empty dependency_libs field in .la files (c.f. Policy 10.2).
 	sed -i "/^dependency_libs=/s/'.*'/''/" `find $D -name '*.la'`
