=== debian/watch ===
version=4
https://code.uplex.de/uplex-varnish/libvmod-re2/tags \
/uplex-varnish/libvmod-re2/-/archive/v[\d\.]+/libvmod-re2-v([\d\.]+)\.tar\.bz2
